from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XUnoControlContainer(XInterface, Protocol):
    def setTabControllers(self, TabControllers: XTabController>) -> None: ...
    def getTabControllers(self) -> list[XTabController]: ...
    def addTabController(self, TabController: XTabController) -> None: ...
    def removeTabController(self, TabController: XTabController) -> None: ...
